### Enumeration

# Fwupd UpdateState

#### Declaration

    enum Fwupd.UpdateState

#### Description [src]

The update state.

#### Members

`FWUPD_UPDATE_STATE_UNKNOWN`

  Unknown.

  - Value: `0`
  - Available since: 0.7.0
`FWUPD_UPDATE_STATE_PENDING`

  Update is pending.

  - Value: `1`
  - Available since: 0.7.0
`FWUPD_UPDATE_STATE_SUCCESS`

  Update was successful.

  - Value: `2`
  - Available since: 0.7.0
`FWUPD_UPDATE_STATE_FAILED`

  Update failed.

  - Value: `3`
  - Available since: 0.7.0
`FWUPD_UPDATE_STATE_NEEDS_REBOOT`

  Waiting for a reboot to apply.

  - Value: `4`
  - Available since: 1.0.4
`FWUPD_UPDATE_STATE_FAILED_TRANSIENT`

  Update failed due to transient issue, e.g. AC power required.

  - Value: `5`
  - Available since: 1.2.7